SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Net-snmp Vendors:   net-snmp.sourceforge.net
(Oracle Issues Fix for Oracle Linux) Net-snmp Incomplete Parsing in snmp_pdu_parse() Lets Remote Users Crash snmpd or Execute Arbitrary Code
SecurityTracker Alert ID:  1033314
SecurityTracker URL:  http://securitytracker.com/id/1033314
CVE Reference:   CVE-2015-5621   (Links to External Site)
Date:  Aug 18 2015
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in Net-snmp. A remote user can cause the target service to crash. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted data to trigger a parsing error in snmp_pdu_parse() and cause the target snmpd process to crash or execute arbitrary code on the target system. The code will run with the privileges of the target snmp service.

Qinghao Tang of QIHU 360, China, reported this vulnerability.

Impact:   A remote user can cause the target service to crash.

A remote user can execute arbitrary code on the target system.

Solution:   Oracle has issued a fix.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2015-1636.html

Vendor URL:  linux.oracle.com/errata/ELSA-2015-1636.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  6, 7

Message History:   This archive entry is a follow-up to the message listed below.
Aug 18 2015 Net-snmp Incomplete Parsing in snmp_pdu_parse() Lets Remote Users Crash snmpd or Execute Arbitrary Code



 Source Message Contents

Subject:  [El-errata] ELSA-2015-1636 Moderate: Oracle Linux 6 net-snmp security update

Oracle Linux Security Advisory ELSA-2015-1636

http://linux.oracle.com/errata/ELSA-2015-1636.html

The following updated rpms for Oracle Linux 6 have been uploaded to the 
Unbreakable Linux Network:

i386:
net-snmp-5.5-54.0.1.el6_7.1.i686.rpm
net-snmp-devel-5.5-54.0.1.el6_7.1.i686.rpm
net-snmp-libs-5.5-54.0.1.el6_7.1.i686.rpm
net-snmp-perl-5.5-54.0.1.el6_7.1.i686.rpm
net-snmp-python-5.5-54.0.1.el6_7.1.i686.rpm
net-snmp-utils-5.5-54.0.1.el6_7.1.i686.rpm

x86_64:
net-snmp-5.5-54.0.1.el6_7.1.x86_64.rpm
net-snmp-devel-5.5-54.0.1.el6_7.1.i686.rpm
net-snmp-devel-5.5-54.0.1.el6_7.1.x86_64.rpm
net-snmp-libs-5.5-54.0.1.el6_7.1.i686.rpm
net-snmp-libs-5.5-54.0.1.el6_7.1.x86_64.rpm
net-snmp-perl-5.5-54.0.1.el6_7.1.x86_64.rpm
net-snmp-python-5.5-54.0.1.el6_7.1.x86_64.rpm
net-snmp-utils-5.5-54.0.1.el6_7.1.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol6/SRPMS-updates/net-snmp-5.5-54.0.1.el6_7.1.src.rpm



Description of changes:

[1:5.5-54.0.1.el6_7.1]
- Add Oracle ACFS to hrStorage (John Haxby) [orabug 18510373]

[1:5.5-54.el6_7.1]
- Fixed parsing of invalid variables in incoming packets (#1248410)


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC